<?php
/**
 * WPExplorer Framework < == You steal it I DMCA YOU!
 * Version 1.0
*/
 
//framework URL check - kill everything if not defined
if(!defined('WPEX_FRAMEWORK_DIR')) die( _('Framework location not defined.','wpex'));



/*--------------------------------------*/
/* Includes
/*--------------------------------------*/

//call in the global variables first
require_once('functions/variables.php');

//theme panel <= include at the top for use in other functions
require_once ('admin/index.php');

//css & jquery
require_once('scripts/enqueue_css.php');
require_once('scripts/enqueue_js.php');

//functions
require_once('functions/grid.php');
require_once('functions/pagination.php');
require_once('functions/img_resizer.php');
require_once('functions/better_comments.php');
require_once('functions/custom_login.php');

//widgets
require_once('widgets/flickr.php');
require_once('widgets/social.php');
require_once('widgets/video.php');
require_once('widgets/taxonomies.php');
require_once('widgets/recent-portfolio.php');
require_once('widgets/recent-post-types.php');

//shortcodes
require_once('shortcodes/shortcodes.php');

// Load files ONLY in the back-end
if(defined('WP_ADMIN') && WP_ADMIN ) {
	
	//meta
	require_once('meta/meta_class.php');	
}


/*--------------------------------------*/
/* Filters
/*--------------------------------------*/

//shortcode support
add_filter('the_content', 'do_shortcode');
add_filter('widget_text', 'do_shortcode');


//move wpautop filter to AFTER shortcode is processed
global $data;
if($data['enable_disable_wpautop'] != 'disable') {
	remove_filter( 'the_content', 'wpautop' );
	add_filter( 'the_content', 'wpautop' , 99);
	add_filter( 'the_content', 'shortcode_unautop',100 );
}


/*--------------------------------------*/
/* Misc
/*--------------------------------------*/

//wp custom background support
add_theme_support('custom-background');
add_theme_support('post-thumbnails');

// add home link to menu
add_filter( 'wp_page_menu_args', 'home_page_menu_args' );
function home_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}

// functions run on activation --> important flush to clear rewrites
if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
	$wp_rewrite->flush_rules();
}

?>