<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */
 
 global $data; //fetch options stored in $data
?>

<?php if(!empty($data['home_static_page_title'])) { ?>
	<?php if(!empty($data['home_static_page_title_url'])) { ?>
		<h2 class="heading"><a href="<?php echo $data['home_static_page_title_url']; ?>" title="<?php echo $data['home_static_page_title']; ?>"><span><?php echo $data['home_static_page_title']; ?></span></a></h2>
	<?php } else { ?>
		<h2 class="heading"><span><?php echo $data['home_static_page_title']; ?></span></h2>
	<?php } ?>
<?php } ?>
    
<div id="home-static-page" class="clearfix">
	<?php
	if($data['home_static_page']) $content_post = get_post($data['home_static_page']);
    $content = $content_post->post_content;
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]>', $content);
    echo $content;
    ?>  
</div>
<!-- /home-static-page -->
<?php wp_reset_postdata(); ?>
