<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//get theme options
global $data;

//get template header
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post(); ?>

<header id="page-heading">
	<h1><?php the_title(); ?></h1>
</header><!-- /page-heading -->

<article id="post" class="full-width service-post clearfix">
    <article id="service-entry" class="entry clearfix">
		<?php the_content(); ?>
	</article><!-- /service- -->
	<?php
	//show comments if not disabled
    if($data['enable_disable_services_comments'] !='disable') {
		comments_template();
	}
	?>  
</article><!-- /post -->

<?php
//page loop end
endwhile; endif;

//get template footer
get_footer(); ?>