<?php
/*--------------------------------------*/
/* used for taxonomy pagination
/*--------------------------------------*/

//get posts per page
$wpex_option_posts_per_page = get_option( 'posts_per_page' );

//add posts per page filter
add_action( 'init', 'wpex_modify_posts_per_page', 0);
function wpex_modify_posts_per_page() {
    add_filter( 'option_posts_per_page', 'wpex_option_posts_per_page' );
}

//modify posts per page
function wpex_option_posts_per_page( $value ) {
	global $data;
	global $wpex_option_posts_per_page;
	
	//tax pagination
    if(is_tax('portfolio_cats')) return $data['portfolio_tax_pagination'];
	if(is_tax('staff_cats')) return $data['staff_tax_pagination'];
	if(is_tax('faqs_cats')) { return -1; } else { return $wpex_option_posts_per_page; }
}

?>