<?php
/**
 * Enqueue CSS
*/

/*--------------------------------------*/
/* Stylesheets
/*--------------------------------------*/
add_action('wp_enqueue_scripts', 'wpex_enqueue_css');
function wpex_enqueue_css() {
	
	global $data; //get theme options
	$current_dir = WPEX_FRAMEWORK_DIR . '/scripts'; //current directory
	
	//framework
	wp_enqueue_style('framework', $current_dir . '/css/framework.css', 'style');
	
	//responsive
	if($data['disable_responsive'] !='disable') {
		wp_enqueue_style('framework-responsive', $current_dir . '/css/framework_responsive.css', 'style');
	}
	
	//main css
	wp_enqueue_style('style', get_template_directory_uri() . '/style.css', 'style');
	
}
?>