<?php
/**
 * @package WordPress
 * @subpackage WPExplorer Themes
 */

//get theme options
global $data;

//get template header
get_header();

//start page loop
if (have_posts()) : while (have_posts()) : the_post(); ?>

<header id="page-heading">
	<h1><?php _e('FAQ', 'wpex'); ?>: <?php the_title(); ?></h1>
</header><!-- /post-heading -->

<div id="post" class="clearfix">
    <article id="faqs-entry" class="entry clearfix">
		<?php
		//main page content
        the_content(); ?>
	</article><!-- /entry -->   
	<?php
	//show comments if not disabled
    if($data['enable_disable_faqs_comments'] !='disable') {
		comments_template();
	}
	?> 
</div><!-- /post -->

<?php
//page loop end
endwhile; endif;

//get template sidebar
get_sidebar();

//get template footer
get_footer(); ?>